Vulnerabilities > Moddable

DATE CVE VULNERABILITY TITLE RISK
2022-01-20 CVE-2021-46326 Out-of-bounds Write vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a heap-buffer-overflow via the component __asan_memcpy.
network
moddable CWE-787
6.8
2022-01-20 CVE-2021-46327 Unspecified vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a SEGV vulnerability via xs/sources/xsArray.c in fx_Array_prototype_sort.
network
moddable
4.3
2022-01-20 CVE-2021-46328 Out-of-bounds Write vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a heap-buffer-overflow via the component __libc_start_main.
network
moddable CWE-787
6.8
2022-01-20 CVE-2021-46329 Unspecified vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a SEGV vulnerability via the component _fini.
network
moddable
4.3
2022-01-20 CVE-2021-46330 Unspecified vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a SEGV vulnerability via xs/sources/xsDataView.c in fx_ArrayBuffer_prototype_concat.
network
moddable
4.3
2022-01-20 CVE-2021-46331 Unspecified vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a SEGV vulnerability via xs/sources/xsProxy.c in fxProxyGetPrototype.
network
moddable
4.3
2022-01-20 CVE-2021-46332 Out-of-bounds Write vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a heap-buffer-overflow via xs/sources/xsDataView.c in fxUint8Getter.
network
moddable CWE-787
6.8
2022-01-20 CVE-2021-46333 Improper Restriction of Operations within the Bounds of a Memory Buffer vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain an invalid memory access vulnerability via the component __asan_memmove.
network
moddable CWE-119
4.3
2022-01-20 CVE-2021-46334 Out-of-bounds Write vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a stack buffer overflow via the component __interceptor_strcat.
network
moddable CWE-787
6.8
2022-01-20 CVE-2021-46335 NULL Pointer Dereference vulnerability in Moddable SDK 11.5.0
Moddable SDK v11.5.0 was discovered to contain a NULL pointer dereference in the component fx_Function_prototype_hasInstance.
network
moddable CWE-476
4.3